diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index f1a9a82..03444e9 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -7114,19 +7114,19 @@ CommonDenominator(R, Q, A): Exports == Implementation where
   Implementation ==> add
     clearDenominator l ==
       d := commonDenominator l
-      map(numer(d * #1)::Q, l)
+      map(x +-> numer(d*x)::Q, l)
  
     splitDenominator l ==
       d := commonDenominator l
-      [map(numer(d * #1)::Q, l), d]
+      [map(x+->numer(d*x)::Q, l), d]
  
     if R has GcdDomain then
       qlcm: (Q, Q) -> Q
- 
+
       qlcm(a, b)          == lcm(numer a, numer b)::Q
-      commonDenominator l == numer reduce(qlcm, map(denom(#1)::Q, l), 1)
+      commonDenominator l == numer reduce(qlcm, map(x+->denom(x)::Q, l), 1)
     else
-      commonDenominator l == numer reduce("*", map(denom(#1)::Q, l), 1)
+      commonDenominator l == numer reduce("*", map(x+->denom(x)::Q, l), 1)
 
 @
 <<CDEN.dotabb>>=
diff --git a/changelog b/changelog
index a40be1e..1d4eedf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.19.tpd.patch
+20090511 tpd books/bookvol10.4 CDEN +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.18.tpd.patch
 20090511 tpd books/bookvol10.3 GSERIES +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.17.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a7590ef..b9c38b3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1250,5 +1250,7 @@ bookvol10.3 GCNAALG +-> conversion<br/>
 bookvol10.2 FFCAT +-> conversion<br/>
 <a href="patches/20090511.18.tpd.patch">20090511.18.tpd.patch</a>
 bookvol10.3 GSERIES +-> conversion<br/>
+<a href="patches/20090511.19.tpd.patch">20090511.19.tpd.patch</a>
+bookvol10.4 CDEN +-> conversion<br/>
  </body>
 </html>
